# $Revision: 1.32 $, $Date: 2002/07/30 16:43:25 $
Summary:	"libpwrite" Network Routine Library
Summary(pl):	Biblioteka czynnoci sieciowych
Summary(pt_BR):	API para funes de rede de baixo nvel
Name:		libnet
Version:	1.0.2a
Release:	6
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://www.packetfactory.net/libnet/dist/%{name}-%{version}.tar.gz
Patch0:		%{name}-shared.patch
URL:		http://www.packetfactory.net/libnet/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Network Library provides a simple API for commonly used low-level
network functions (mainly packet injection). Using libnet, it is easy
to build and write arbitrary network packets. It provides a portable
framework for low-level network packet writing and handling (use
libnet in conjunction with libpcap and you can write some really cool
stuff). Libnet includes packet creation at the IP layer and at the
link layer as well as a host of supplementary and complementary
functionality.

%description -l pl
Biblioteka dostarcza API dla popularnych nisko-poziomowych funkcji
sieciowych (gwnie wstrzykujcych pakiety).

%description -l pt_BR
Este pacote fornece uma API simples para funes de rede de baixo
nvel comumente usadas (principalmente injeo de pacotes). Usando
libnet,  simples construir e enviar pacotes de rede arbitrrios.

%package devel
Summary:	Header files and develpment documentation for libnet
Summary(pl):	Pliki nagwkowe i dokumetacja do libnet
Summary(pt_BR):	Arquivos do pacote libnet para desenvolvimento
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and develpment documentation for libnet.

%description devel -l pl
Pliki nagwkowe i dokumetacja do libnet.

%description devel -l pt_BR
Arquivos de cabealho e bibliotecas usadas no desenvolvimento de
aplicativos que usam libnet.

%package static
Summary:	Static libnet library
Summary(pl):	Biblioteka statyczna libnet
Summary(pt_BR):	Arquivos do pacote libnet para desenvolvimento esttico
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libnet library.

%description static -l pl
Biblioteka statyczna libnet.

%description static -l pt_BR
Arquivos de cabealho e bibliotecas usadas no desenvolvimento de
aplicativos estticos que usam libnet.

%prep
%setup -q -n Libnet-%{version}
%patch0 -p1

%build
aclocal
%{__autoconf}
%configure \
	--with-pf_packet=yes
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAN_PREFIX=%{_mandir}/man3

ln -sf libnet.so.1.0	$RPM_BUILD_ROOT%{_libdir}/libnet.so
ln -sf libnet.so	$RPM_BUILD_ROOT%{_libdir}/libpwrite.so
ln -sf libnet.a		$RPM_BUILD_ROOT%{_libdir}/libpwrite.a

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/CHANGELOG*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h
%{_includedir}/libnet
%{_mandir}/man*/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libnet.spec,v $
Revision 1.32  2002/07/30 16:43:25  kloczek
- release 6.

Revision 1.31  2002/07/30 10:09:14  qboosh
- new %%doc

Revision 1.30  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/05/01 13:08:03  blues
- fixed build - builds now

Revision 1.28  2002/05/01 08:54:38  kloczek
- realy fix symlinks in %%{_libdir}.

Revision 1.27  2002/04/30 07:37:56  blues
- relese 5
- .so file in devel subpackage -> link to him should there too

Revision 1.26  2002/04/20 22:27:51  kloczek
- merge translations from Conectiva.

Revision 1.25  2002/04/20 22:23:25  kloczek
- release 4.

Revision 1.24  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/02 20:23:53  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.21  2002/02/01 14:51:56  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.20  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/20 21:41:29  kloczek
- release 2,
- added autoconf, automake to BuildRequires.

Revision 1.18  2001/08/20 09:02:05  agaran
ac-25.ready

Revision 1.17  2001/06/04 15:01:54  kloczek
- release 2.

Revision 1.16  2001/06/04 14:45:12  baggins
- finished upgrade to 1.0.2a

Revision 1.15  2001/05/18 02:34:52  kloczek
- updated to 1.0.2a.

Revision 1.14  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.13  2000/11/20 17:02:41  baggins
- release 3
- fixed .so link

Revision 1.12  2000/11/20 12:49:03  baggins
- release 2
- use RPM_OPT_FLAGS

Revision 1.11  2000/11/02 13:38:17  kloczek
- spec adapterized,
- do not compress man pages.

Revision 1.10  2000/11/02 08:33:31  misiek
new spec
